## org.gnu.gtk
Class ProgressBarOrientation

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.ProgressBarOrientation

public class ProgressBarOrientation
extends org.gnu.glib.Enum

An object representing the various orientations and growth directions for progress bar widgets.

See Also:
  `GTK_PROGRESS_LEFT_TO_RIGHTA horizontal progress bar growing from left to right.GTK_PROGRESS_RIGHT_TO_LEFTA horizontal progress bar growing from right to left.GTK_PROGRESS_BOTTOM_TO_TOPA vertical progress bar growing from bottom to top.GTK_PROGRESS_TOP_TO_BOTTOMA vertical progress bar growing from top to bottom.`

Field Summary
`static ProgressBarOrientation` `BOTTOM_TO_TOP`
`static ProgressBarOrientation` `LEFT_TO_RIGHT`
`static ProgressBarOrientation` `RIGHT_TO_LEFT`
`static ProgressBarOrientation` `TOP_TO_BOTTOM`

Method Summary
`ProgressBarOrientation` `and(ProgressBarOrientation other)`
`static ProgressBarOrientation` `intern(int value)`
`ProgressBarOrientation` `or(ProgressBarOrientation other)`
`boolean` `test(ProgressBarOrientation other)`
`ProgressBarOrientation` `xor(ProgressBarOrientation other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT_TO_RIGHT

    public static final ProgressBarOrientation LEFT_TO_RIGHT

### RIGHT_TO_LEFT

    public static final ProgressBarOrientation RIGHT_TO_LEFT

### BOTTOM_TO_TOP

    public static final ProgressBarOrientation BOTTOM_TO_TOP

### TOP_TO_BOTTOM

    public static final ProgressBarOrientation TOP_TO_BOTTOM

Method Detail

### intern

    public static ProgressBarOrientation intern(int value)

### or

    public ProgressBarOrientation or(ProgressBarOrientation other)

### and

    public ProgressBarOrientation and(ProgressBarOrientation other)

### xor

    public ProgressBarOrientation xor(ProgressBarOrientation other)

### test

    public boolean test(ProgressBarOrientation other)